package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Agent_report_lineRepository;
import com.realnet.vpspack.Entity.Agent_report_line
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


























	import org.springframework.stereotype.Service;

@Service
 public class Agent_report_lineService {
@Autowired
private Agent_report_lineRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

























public Agent_report_line Savedata(Agent_report_line data) {


























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Agent_report_line save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Agent_report_line> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Agent_report_line> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Agent_report_line> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Agent_report_line getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Agent_report_line update(Agent_report_line data,Integer id) {
	Agent_report_line old = Repository.findById(id).get();
old.setInvoice_created(data.getInvoice_created());

old.setStatus(data.getStatus());

old.setFull_name(data.getFull_name());

old.setAgent(data.getAgent());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setVisa_entry_type(data.getVisa_entry_type());

old.setVisa_processing_time(data.getVisa_processing_time());

old.setVisa_duration(data.getVisa_duration());

old.setInvoice_id(data.getInvoice_id());

old.setTotal_price(data.getTotal_price());

final Agent_report_line test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
